Subject: Re: [netatalk-admins] alias test

From: Dave Ritter <[email-masked]>
Date: Mon, 22 Nov 1999 10:04:28 -0700

all the macs that I have run my alias test on are using system 8.6...
none of them work

> From: a sun <[email-masked]>
> Reply-To: a sun <[email-masked]>
> Date: Sun, 21 Nov 1999 18:50:47 -0700
> To: "Dave Ritter" <[email-masked]>
> Cc: [email-masked]
> Subject: Re: [netatalk-admins] alias test
> 
> 
> I thought my alias problems were gone with the 2.1.3 release.
> 
> i guess i should step in here and clarify the issue. aliases will get
> confused with mac oses that are pre-8.6. that's because netatalk
> doesn't currently have a notion of a permanent directory/file id. the
> mac os alias manager happens to use that to shortcut aliases. in 8.6,
> the alias manager will actually resolve the pathname that's also
> stored in the alias file, so aliases will work if you don't already
> have a file/directory id dynamically allocated to it. unfortunately,
> if you do, things get confused again.
> 
> oh yeah, there's some preliminary work in my current development
> snapshot for persistent file/directory id support. however, i decided
> to hold off on that for the full-blown db support that netatalk
> needs. 
> 
> does that clarify things?
> 
> 
> -a
> 
>